Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.OnForeignKeyDelete Property
SecondaryDatabaseConfig Class See Also Send Feedback

The action taken when a referenced record in ForeignKeyDatabase is deleted.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public ForeignKeyDeleteAction OnForeignKeyDelete { get; }

Visual Basic (Declaration)
    Public ReadOnly Property OnForeignKeyDelete As ForeignKeyDeleteAction

Visual C++
    public:
    property ForeignKeyDeleteAction OnForeignKeyDelete {
    	ForeignKeyDeleteAction get ();
    }

# See Also

SecondaryDatabaseConfig Class
BerkeleyDB Namespace